import sys

while True:
    Num_jour = int(input("Entrez le numéro du jour de la semaine entre 1 et 7 : "))

    if sys.version_info >= (3, 10):
        match Num_jour:
            case 1:
                name_day = "Lundi"
            case 2:
                name_day = "Mardi"
            case 3:
                name_day = "Mercredi"
            case 4:
                name_day = "Jeudi"
            case 5:
                name_day = "Vendredi"
            case 6:
                name_day = "Samedi"
            case 7:
                name_day = "Dimanche"
            case _:
                print("Numéro de jour invalide. Veuillez entrer un nombre entre 1 et 7.")
                continue
    else:
        if 1 <= Num_jour <= 7:
            if Num_jour == 1:
                name_day = "Lundi"
            elif Num_jour == 2:
                name_day = "Mardi"
            elif Num_jour == 3:
                name_day = "Mercredi"
            elif Num_jour == 4:
                name_day = "Jeudi"
            elif Num_jour == 5:
                name_day = "Vendredi"
            elif Num_jour == 6:
                name_day = "Samedi"
            elif Num_jour == 7:
                name_day = "Dimanche"
            else:
                print("Numéro de jour invalide. Veuillez entrer un nombre entre 1 et 7.")
                continue
        else:
            print("Numéro de jour invalide. Veuillez entrer un nombre entre 1 et 7.")
            break

    print(f"Le jour correspondant au numéro {Num_jour} est {name_day}.")
    break
5